import 'package:flutter/material.dart';
import 'package:mc_common_app/classes/consts.dart';

import 'colors.dart';

class AppTheme {
  static getTheme({required isArabic}) {
    return ThemeData(
      fontFamily: !isArabic ? MyFonts.poppinsFont : MyFonts.gessTwoFont,
      primaryColor: primaryColor,
      useMaterial3: false,
      primaryTextTheme:  TextTheme(
          titleLarge: TextStyle(color: Colors.white, fontFamily: !isArabic ? MyFonts.poppinsFont : MyFonts.gessTwoFont,)
      ),
      colorScheme: ColorScheme.fromSwatch(primarySwatch: Colors.orange).copyWith(surface: Colors.white),
    );
  }
}

extension ExtendedRevoCheckTheme on TextTheme {
  //add custom styles and colors here
  //taken from https://medium.com/@crizantlai/flutter-how-to-extend-themedata-b5b987a95bb5
  TextStyle get price => const TextStyle(color: Colors.redAccent);
}
